
  <!DOCTYPE html>
  <html>
    <head>
      <title>TableHeadingSelect.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/TableHeadingSelect/TableHeadingSelect.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">87</td><td class="">87</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { useMemo, useState } from &#x27;react&#x27;;
import clsx from &#x27;clsx&#x27;;

import { ReactComponent as CaretDown } from &#x27;../Table/assets/caret-down.svg&#x27;;

import s from &#x27;./TableHeadingSelect.module.scss&#x27;;

export interface TableHeadingSelectProps {
  name: string;
  value?: string;
  onChange?: (value: string) =&gt; void;
  options: { value: string; label: string }[];
  suboptions?: { value: string; label: string }[];
}
export const TableHeadingSelect: React.FC&lt;TableHeadingSelectProps&gt; = ({
  name,
  value,
  onChange,
  options
}) =&gt; {
  const [isOpen, onChangeOpen] = useState(false);
  const selectedLabel = useMemo(
    () =&gt; options.find((opt) =&gt; opt.value === value)?.label,
    [options, value]
  );
  return (
    &lt;div
      className={clsx(
        s.TableHeadingSelect,
        isOpen &amp;&amp; s.TableHeadingSelect_open
      )}
    &gt;
      &lt;div
        className={s.TableHeadingSelect__name}
        onClick={() =&gt; onChangeOpen((s) =&gt; !s)}
      &gt;
        {selectedLabel || name} &lt;CaretDown /&gt;
      &lt;/div&gt;
      &lt;div className={s.TableHeadingSelect__options}&gt;
        {options.map((option) =&gt; (
          &lt;div
            className={clsx(
              s.TableHeadingSelect__option,
              option.value === value &amp;&amp; s.TableHeadingSelect__option_selected
            )}
            onClick={() =&gt; {
              if (onChange) {
                onChange(option.value);
              }
            }}
          &gt;
            {option.label}
          &lt;/div&gt;
        ))}
      &lt;/div&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  